<?php
/**
 * A configurable replacement for editmenu() in CMSimple_XH
 *
 * changes 1.1 => 1.1.1
 * @date: 2010-05-03
 * bugfix: error on saving - menu links could not be deactivated
 *
 * changes 1.0 => 1.1
 *
 * changed: login check in index.php to if($adm === false)
 * added multiple select form: select plugins to be displayed as direct link in the menu

 * @author Martin Damken
 * @link http://www.zeichenkombinat.de
 * @version 1.1
 * @date: 2010-05-02
 * @package wr_adminmenu
 */
// DIE if not called by PLUGINLOADER
if(!defined('PLUGINLOADER_VERSION')){
    die('Plugin '. basename(dirname(__FILE__)) . ' requires a newer version of the Pluginloader. No direct access.');
}

if(!isset($wr_adminmenu)){ return; }

define('WRA_NAME', 'WR_Adminmenu');
define('WRA_VERSION', '1.1');

$admin = isset($_POST['admin']) ? $_POST['admin'] : $admin = isset($_GET['admin']) ? $_GET['admin'] : '';
$action = isset($_POST['action']) ? $_POST['action'] : $action = isset($_GET['action']) ? $_GET['action'] : '';
$plugin = basename(dirname(__FILE__), "/");
$o .= print_plugin_admin('off');

if($admin == '') {
$o .= '<p></p>
<table style="font-size: inherit">
   <tr><td><b>Plugin: </b></td><td><b>'  .    WRA_NAME . '</b></td></tr>
   <tr><td><b>Version: </b></td><td> ' .    WRA_VERSION . '</td></tr>
   <tr><td><b>Website: </b></td><td><a href="http://www.zeichenkombinat.de">zeichenkombinat.de</a></td></tr>
   <tr><td><b>Contact: </b></td><td><a href="mailto:kontakt@zeichenkombinat.de">kontakt@zeichenkombinat.de</a></td></tr>
   <tr><td style="vertical-align: top;"><b>Description:&nbsp;</b></td>
    <td>A configurable replacement for CMSimple\'s standard editmenu().' . tag('br') .'
        
    </td>
    </tr>
</table>
<p>
<p>The plugin is free for private use. Professional web-designer who are planning to deliver it as part of their service to their customers, please contact me for a commercial license!</p>
<p>
But anyway, &laquo;commercial&raquo; or not, if you like it, a small
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&amp;hosted_button_id=YNVGZVQRWUJG2" target="_blank">donation via paypal</a>
is always appreciated!
</p>
<p>
<pre style="font-weight: bold; line-height: 1.2em; font-size: 88%; color: #666;">THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY<br>APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT<br>HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY<br>OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,<br>THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR<br>PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM<br>IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF<br>ALL NECESSARY SERVICING, REPAIR OR CORRECTION.<br></pre>
</p>
<p>
&copy; 2010 Martin Damken' . tag('br') .'
</p>';
  
}

if($admin == 'plugin_config'){
   include 'configurator.php';
}
else {
   $o .= plugin_admin_common($action, $admin, $plugin);
}

?>